KDE 4.9 PyKDE API Reference

- KDE's Python API

# ParsingRunner Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

## Signals
| parsingFinished (Marble.GeoDataDocument document, QString error=QString())
## Methods
| __init__ (self, QObject parent=0)
| parseFile (self, QString fileName, Marble.DocumentRole role)

## Signal Documentation

parsingFinished | ( | Marble.GeoDataDocument | document,
|  | QString | error=QString()
| ) |  |  |

File parsing is finished, result in the given document object. The signal should be emitted with null document and error description in case of fault. To be emitted by runners after a

See also:
  parseFile call.

Signal syntax:
  `QObject.connect(source, SIGNAL("parsingFinished(Marble::GeoDataDocument*, const QString&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

parseFile | ( | self, |
|  | QString | fileName,
|  | Marble.DocumentRole | role
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Start a file parsing. Called by MarbleRunnerManager, runners are expected to return the result via the parsingFinished signal. If implemented in a plugin, make sure to include Parsing in the plugin capabilities, otherwise MarbleRunnerManager will ignore the plugin